xine-lib: sputext_decoder_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
sputext_decoder_s Struct Reference

## Data Fields
spu_decoder_t | spu_decoder
sputext_class_t * | class
xine_stream_t * | stream
int | ogm
int | lines
char | text [5][256]
subtitle_size | subtitle_size
int | vertical_offset
char * | font
const char * | buf_encoding
int | width
int | height
int | font_size
int | line_height
int | started
int | finished
osd_renderer_t * | renderer
osd_object_t * | osd
int | current_osd_text
uint32_t | spu_palette [OVL_PALETTE_SIZE]
uint8_t | spu_trans [OVL_PALETTE_SIZE]
int64_t | img_duration
int64_t | last_subtitle_end
int | unscaled
int | last_y
int | last_lines
video2wnd_t | video2wnd

## Field Documentation

## ◆ buf_encoding

const char* sputext_decoder_s::buf_encoding

## ◆ class

sputext_class_t* sputext_decoder_s::class

## ◆ current_osd_text

int sputext_decoder_s::current_osd_text

## ◆ finished

int sputext_decoder_s::finished

## ◆ font

char* sputext_decoder_s::font

## ◆ font_size

int sputext_decoder_s::font_size

## ◆ height

int sputext_decoder_s::height

## ◆ img_duration

int64_t sputext_decoder_s::img_duration

## ◆ last_lines

int sputext_decoder_s::last_lines

## ◆ last_subtitle_end

int64_t sputext_decoder_s::last_subtitle_end

## ◆ last_y

int sputext_decoder_s::last_y

## ◆ line_height

int sputext_decoder_s::line_height

## ◆ lines

int sputext_decoder_s::lines

## ◆ ogm

int sputext_decoder_s::ogm

## ◆ osd

osd_object_t* sputext_decoder_s::osd

## ◆ renderer

osd_renderer_t* sputext_decoder_s::renderer

## ◆ spu_decoder

spu_decoder_t sputext_decoder_s::spu_decoder

## ◆ spu_palette

uint32_t sputext_decoder_s::spu_palette[OVL_PALETTE_SIZE]

## ◆ spu_trans

uint8_t sputext_decoder_s::spu_trans[OVL_PALETTE_SIZE]

## ◆ started

int sputext_decoder_s::started

## ◆ stream

xine_stream_t* sputext_decoder_s::stream

## ◆ subtitle_size

subtitle_size sputext_decoder_s::subtitle_size

## ◆ text

char sputext_decoder_s::text[5][256]

## ◆ unscaled

int sputext_decoder_s::unscaled

## ◆ vertical_offset

int sputext_decoder_s::vertical_offset

## ◆ video2wnd

video2wnd_t sputext_decoder_s::video2wnd

## ◆ width

int sputext_decoder_s::width

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/spu_dec/sputext_decoder.c